spring:
  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://192.168.1.190/bid
    username: usr_cred
    password: usrcred*2018
  jpa:
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
        #show_sql: true
        #use_sql_comments: true
        #format_sql: true
        #type: trace
eureka:
  client:
    registerWithEureka: true
    fetchRegistry: true
    serviceUrl:
      defaultZone: http://localhost:8761/eureka/
  instance:
    prefer-ip-address: true
server:
  port: 0
logging:
  level:
    org.springframework: INFO
    com.teknei.bid: INFO
    #org.hibernate:
     # SQL: DEBUG
     # type.descriptor.sql.BasicBinder: TRACE
  pattern:
    console: "%d{yyyy-MM-dd HH:mm:ss} - %msg%n"
    file: "%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n"
  file: /opt/bidserver/logs/tkn-service-management-api-log.log
tkn:
  crypto:
    url: xx
    log_output: xx
    secret: xx